org.apache.commons.validator.routines

## Enum DomainValidator.ArrayType

- java.lang.Object
- - java.lang.Enum<DomainValidator.ArrayType>
  - - org.apache.commons.validator.routines.DomainValidator.ArrayType

- All Implemented Interfaces:
    Serializable, Comparable<DomainValidator.ArrayType>
  Enclosing class:
    DomainValidator

      public static enum DomainValidator.ArrayType
      extends Enum<DomainValidator.ArrayType>

  enum used by `DomainValidator.updateTLDOverride(ArrayType, String[])` to determine which override array to update / fetch
  Since:
    1.5.0, 1.5.1 made public and added read-only array references

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COUNTRY_CODE_MINUS` Update (or get a copy of) the COUNTRY_CODE_TLDS_MINUS table containing deleted country code TLDs
    `COUNTRY_CODE_PLUS` Update (or get a copy of) the COUNTRY_CODE_TLDS_PLUS table containing additonal country code TLDs
    `COUNTRY_CODE_RO` Get a copy of the country code table
    `GENERIC_MINUS` Update (or get a copy of) the GENERIC_TLDS_MINUS table containing deleted generic TLDs
    `GENERIC_PLUS` Update (or get a copy of) the GENERIC_TLDS_PLUS table containing additonal generic TLDs
    `GENERIC_RO` Get a copy of the generic TLDS table
    `INFRASTRUCTURE_RO` Get a copy of the infrastructure table
    `LOCAL_MINUS` Update (or get a copy of) the LOCAL_TLDS_MINUS table containing deleted local TLDs
    `LOCAL_PLUS` Update (or get a copy of) the LOCAL_TLDS_PLUS table containing additional local TLDs
    `LOCAL_RO` Get a copy of the local table

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DomainValidator.ArrayType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DomainValidator.ArrayType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GENERIC_PLUS

          public static final DomainValidator.ArrayType GENERIC_PLUS

      Update (or get a copy of) the GENERIC_TLDS_PLUS table containing additonal generic TLDs

    - #### GENERIC_MINUS

          public static final DomainValidator.ArrayType GENERIC_MINUS

      Update (or get a copy of) the GENERIC_TLDS_MINUS table containing deleted generic TLDs

    - #### COUNTRY_CODE_PLUS

          public static final DomainValidator.ArrayType COUNTRY_CODE_PLUS

      Update (or get a copy of) the COUNTRY_CODE_TLDS_PLUS table containing additonal country code TLDs

    - #### COUNTRY_CODE_MINUS

          public static final DomainValidator.ArrayType COUNTRY_CODE_MINUS

      Update (or get a copy of) the COUNTRY_CODE_TLDS_MINUS table containing deleted country code TLDs

    - #### GENERIC_RO

          public static final DomainValidator.ArrayType GENERIC_RO

      Get a copy of the generic TLDS table

    - #### COUNTRY_CODE_RO

          public static final DomainValidator.ArrayType COUNTRY_CODE_RO

      Get a copy of the country code table

    - #### INFRASTRUCTURE_RO

          public static final DomainValidator.ArrayType INFRASTRUCTURE_RO

      Get a copy of the infrastructure table

    - #### LOCAL_RO

          public static final DomainValidator.ArrayType LOCAL_RO

      Get a copy of the local table

    - #### LOCAL_PLUS

          public static final DomainValidator.ArrayType LOCAL_PLUS

      Update (or get a copy of) the LOCAL_TLDS_PLUS table containing additional local TLDs
      Since:
        1.7

    - #### LOCAL_MINUS

          public static final DomainValidator.ArrayType LOCAL_MINUS

      Update (or get a copy of) the LOCAL_TLDS_MINUS table containing deleted local TLDs
      Since:
        1.7

  - ### Method Detail

    - #### values

          public static DomainValidator.ArrayType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DomainValidator.ArrayType c : DomainValidator.ArrayType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DomainValidator.ArrayType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2002–2020 The Apache Software Foundation. All rights reserved.